### A free/open-source library for quantitative finance

Public Member Functions
AnalyticWriterExtensibleOptionEngine Class Reference

Analytic engine for writer-extensible options. More...

`#include <ql/experimental/exoticoptions/analyticwriterextensibleoptionengine.hpp>`

Inheritance diagram for AnalyticWriterExtensibleOptionEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticWriterExtensibleOptionEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const

## Detailed Description

Analytic engine for writer-extensible options.